Subject: RE: rfc publication suggestions

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 13 Mar 2001 08:33:36 -0500

I didn't mean to imply the IESG is doing something wrong deliberately.

From personal experience, documents are approved by the IESG
that have unresolved IANA considerations.

From observation, documents are approved by the IESG that have
normative reference issues.

The next event is some months later, when the RFC editor picks
up the document, and authors are notified of the issues.  Are
you suggesting that in all, or even most of the cases, authors
are unaware of these issues before the RFC was approved by the IESG?

Brian

> -----Original Message-----
> From: Keith Moore [mailto:[email-masked]]
> Sent: Monday, March 12, 2001 7:18 PM
> To: Rosen, Brian
> Cc: [email-masked]
> Subject: Re: rfc publication suggestions 
> 
> 
> > What happens now is silliness due to 
> > the known queue length - we put things in we know are deficient,
> > always assuming we will have the issues resolved before it 
> wends it's
> > way through the queue. 
> 
> Where in the world do you get that idea?  I spent four years on IESG
> and I can't recall a single instance of this happening.
> 
> Seems like what we have now is a lot of uninformed speculation. 
> 
> Keith
>

---

From: Keith Moore <[email-masked]>
Date: Tue, 13 Mar 2001 08:49:47 -0500

> that have unresolved IANA considerations.

Hmm.  If memory serves, IANA looks at the documents more-or-less 
in parallel with IESG to see if there are any showstoppers.
It's true that some name or number assignments may not yet be   
done, but the RFC Editor works closely with IANA.  I doubt that
this is a major source of delay.

> normative reference issues.

True.  A document with unpublished normative references is going to 
get held up anyway - in either the IESG or RFC Editor's queue.
The RFC Editor does a more thorough check for normative references 
than the IESG does (in my experience, though some IESG folks do 
look for such things), and in some cases the references are already
in the RFC Editor's queue waiting to be processed (or are themselves
waiting on publication of normative references) 

> are unaware of these issues before the RFC was approved by the IESG?

I don't know about "most" of the cases, but it isn't unusual.
Some author writes document XXXX which refers to document YYYY.
At the time XXXX is written, YYYY is more mature than XXXX and
presumed to be farther along in the process.  However YYYY gets
delayed for one reason or another and XXXX gets in the queue
first.

Keith

---

From: [email-masked]
Date: Tue, 13 Mar 2001 08:37:30 -0800 (PST)

> that have unresolved IANA considerations.

And things have changed as a result of this sort of past experience. IANA is
now much more proactive in this regard than they used to be. In particular,
careful review of IANA considerations is now done prior to IESG approval. 

				Ned